

// using Analogue input 1 for receiver input

#define ANINPUT 1



void setup() 
{
 Serial.begin(115200);
 while (!Serial) { ; /* wait for serial port to connect. Needed for native USB */}

 ADCSRA =  bit (ADEN);                      // turn ADC on
 ADCSRA |= bit (ADPS1) | bit (ADPS0) | bit (ADPS2);  // 111 = Prescaler of 128=9.6 KHz
 ADMUX  =  bit (REFS0) | bit (REFS1) | (ANINPUT);    // 1.1V ref and select input port 1

//Clear ADTS2..0 in ADCSRB
 ADCSRB &=~(bit(ADTS2) | bit(ADTS1) | bit(ADTS0));
}


void loop() 
{
 int a;

 ADCSRA |= bit (ADSC) | bit(ADATE); // start conversion, auto trigger enable

 loop1:;

 if(ADCSRA & bit(ADIF))
 {
  a=ADCL;
  a|=ADCH<<8;
  if(a>=255) a=255;
  Serial.write(a);
  ADCSRA|= bit(ADIF);
 }

 goto loop1;
}

